@import url("../cover.css");

body {
    background-color: #333f48;
    width: 100vw;
    min-height: 0;
    height: 100vh;
    max-height: 100vh;
    overflow-y: hidden;
}

.outermost-container {
    display: flex;
    flex-flow: row nowrap;
    height: 100vh;
    max-height: 100vh;
    overflow-y: hidden;
}

.logo-image-container {
    background-color: #bf5700;
    width: 50%;
    height: 100%;
    padding: 0.5in;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
}

.logo-image {
    width: 95%;
    object-fit: cover;
}

.form-container {
    padding: 32px 0px;
    width: 50%;
    min-height: 0;
    height: 100vh;
    max-height: 100vh;
    overflow-y: scroll;
}

.main-page-body {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    padding-left: 25%;
    padding-right: 25%;
    width: 100%;
    min-height: 100%;
}

.main-form-header {
    width: 100%;
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-start;
    color: white;
    margin-bottom: 16px;
}

.main-form-header .main-form-label {
    text-transform: uppercase;
    font-size: 24pt;
    border-bottom-style: solid;
    border-bottom-width: 3px;
    border-bottom-color: #1161ee;
    margin-bottom: 6px;
}

.main-form-header .request-access-note {
    font-size: 16pt;
    color: var(--almost-white);
}

.main-form-header .header-link {
    color: white;
    border-bottom-style: solid;
    border-bottom-width: 3px;
    border-bottom-color: #1161ee;
}

.login-label:hover,
.sign-up-label:hover {
    cursor: pointer;
}

.bottom-link-container {
    color: white;
    text-align: center;
}

a {
    text-decoration: none;
    color: inherit;
}

.success-alert-link {
    text-decoration: underline;
    font-weight: bolder;
}

.button-primary:disabled {
    background-color: gray !important;
}

.group .label,
.group .button {
    text-transform: uppercase;
}


.group {
    margin-bottom: 12px;
}

.group .label,
.group .input,
.group .button {
    width: 100%;
    color: #fff;
    display: block;
}

.group .input {
    height: 40pt;
    box-sizing: border-box;
}

.group select {
    width: 100%;
    padding-left: 16px;
    background-color: var(--page-gray);
    color: white;
    height: 32pt;
    box-sizing: border-box;
}

.group select>option {
    color: white;
}

.group .input,
.group .button {
    border: none;
    padding: 15px 20px;
    background: rgba(255, 255, 255, 0.1);
}

.group input[data-type="password"] {
    -webkit-text-security: circle;
}

.group .label {
    color: #aaa;
    font-size: 10pt;
}

.group.button-group {
    margin-top: 32px;
}

.group .button {
    background: #1161ee;
}

.group input.error,
.group select.error {
    outline-width: 2px;
    outline-color: var(--logout-color);
    outline-style: solid;
}

.group.other-reason-group:not(.required) {
    display: none;
}

.divide {
    height: 2px;
    margin: 40px 0 30px 0;
    background: rgba(255, 255, 255, 0.2);
}

/* Forgot Password page */

#forgot-message-success {
    display: none;
    /* hidden by default */
}

#forgot-message-failure {
    display: none;
    /* hidden by default */
}

/* Reset Password page */
#reset-message-success {
    display: none;
    /* hidden by default */
}

#reset-message-failure {
    display: none;
    /* hidden by default */
}